//
//  UserData.swift
//  AsReaderGUN
//
//  Created by mac on 2018/7/16.
//  Copyright © 2018年 asterisk. All rights reserved.
//

import UIKit

final class UserData: NSObject {
    final class func setMaskType(_ maskType: Int) {
        let prefs = UserDefaults.standard
        prefs.set(maskType, forKey: "maskType")
        prefs.synchronize()
    }
    final class func getMaskType() -> Int {
        let prefs = UserDefaults.standard
        return prefs.integer(forKey: "maskType")
    }
    final class func setBatteryInterval(_ batteryInterval: String?) {
        let prefs = UserDefaults.standard
        prefs.set(batteryInterval, forKey: "batteryInterval")
        prefs.synchronize()
    }
    final class func getBatteryInterval() -> String? {
        let prefs = UserDefaults.standard
        guard let batteryInterval = prefs.string(forKey: "batteryInterval") else {
            return "10000"
        }
        guard !batteryInterval.isEmpty else {
            return "10000"
        }
        return batteryInterval
    }
    final class func setIsUseKeyAction(_ isUseKeyAction: Bool) {
        let prefs = UserDefaults.standard
        prefs.set(isUseKeyAction, forKey: "isUseKeyAction")
        prefs.synchronize()
    }
    final class func getIsUseKeyAction() -> Bool {
        let prefs = UserDefaults.standard
        return prefs.bool(forKey: "isUseKeyAction")
    }
}
